//  Copyright (c) 2024 Huawei Technologies Co., Ltd.
//  openUBMC is licensed under Mulan PSL v2.
//  You can use this software according to the terms and conditions of the Mulan PSL v2.
//  You may obtain a copy of Mulan PSL v2 at:
//        #  http://license.coscl.org.cn/MulanPSL2
//  THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
//  EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
//  MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
//  See the Mulan PSL v2 for more details.
declare module 'vue' {
  export interface GlobalComponents {
    AlarmAlert: typeof import('./src/components/AlarmAlert/AlarmAlert.vue')['default'];
    BootOrder: typeof import('./src/components/BootOrder/BootOrder.vue')['default'];
    ChangeModeBtns: typeof import('./src/components/Customize/CustomizeStyle/common/ChangeModeBtns.vue')['default'];
    ClearableIcon: typeof import('./src/components/ClearableIcon/ClearableIcon.vue')['default'];
    Collapse: typeof import('./src/components/Customize/components/Collapse.vue')['default'];
    ColorConfig: typeof import('./src/components/Customize/CustomizeStyle/tabList/ColorConfig.vue')['default'];
    ComplexPopoverContentOfList: typeof import('./src/components/ComplexPopoverContent/ComplexPopoverContentOfList.vue')['default'];
    ConfiguedInfo: typeof import('./src/components/Customize/CustomInfo/ConfiguedInfo.vue')['default'];
    CustAlert: typeof import('./src/components/CustAlert/CustAlert.vue')['default'];
    CustomDrawer: typeof import('./src/components/CustomDrawer/CustomDrawer.vue')['default'];
    CustomIcon: typeof import('./src/components/Customize/CustomizeStyle/common/CustomIcon.vue')['default'];
    CustomItems: typeof import('./src/components/Customize/CustomInfo/CustomItems.vue')['default'];
    Customize: typeof import('./src/components/Customize/Customize.vue')['default'];
    CustomizeCard: typeof import('./src/components/Customize/CustomizeCard.vue')['default'];
    CustomizeColor: typeof import('./src/components/Customize/CustomizeStyle/leftView/CustomizeColor.vue')['default'];
    CustomizeGuide: typeof import('./src/components/Customize/CustomizeGuide.vue')['default'];
    CustomizeIcon: typeof import('./src/components/Customize/components/CustomizeIcon.vue')['default'];
    CustomizeInfo: typeof import('./src/components/Customize/CustomizeInfo.vue')['default'];
    CustomizeLayout: typeof import('./src/components/Customize/CustomizeStyle/leftView/CustomizeLayout.vue')['default'];
    CustomizeStep: typeof import('./src/components/Customize/CustomizeStep.vue')['default'];
    CustomizeStyle: typeof import('./src/components/Customize/CustomizeStyle/CustomizeStyle.vue')['default'];
    CustomizeText: typeof import('./src/components/Customize/CustomizeStyle/leftView/CustomizeText.vue')['default'];
    CustomizeTool: typeof import('./src/components/Customize/CustomizeTool.vue')['default'];
    DarkIcon: typeof import('./src/components/Customize/CustomizeStyle/common/DarkIcon.vue')['default'];
    DataList: typeof import('./src/components/DataList/DataList.vue')['default'];
    Dialog: typeof import('./src/components/Dialog/Dialog.vue')['default'];
    DropMenu: typeof import('./src/components/DropMenu/DropMenu.vue')['default'];
    Editor: typeof import('./src/components/Editor/Editor.vue')['default'];
    ElAlert: typeof import('element-plus/es')['ElAlert'];
    ElButton: typeof import('element-plus/es')['ElButton'];
    ElCheckbox: typeof import('element-plus/es')['ElCheckbox'];
    ElCheckboxGroup: typeof import('element-plus/es')['ElCheckboxGroup'];
    ElCollapse: typeof import('element-plus/es')['ElCollapse'];
    ElCollapseItem: typeof import('element-plus/es')['ElCollapseItem'];
    ElCollapseTransition: typeof import('element-plus/es')['ElCollapseTransition'];
    ElColorPicker: typeof import('element-plus/es')['ElColorPicker'];
    ElConfigProvider: typeof import('element-plus/es')['ElConfigProvider'];
    ElDatePicker: typeof import('element-plus/es')['ElDatePicker'];
    ElDialog: typeof import('element-plus/es')['ElDialog'];
    ElDivider: typeof import('element-plus/es')['ElDivider'];
    ElDrawer: typeof import('element-plus/es')['ElDrawer'];
    ElForm: typeof import('element-plus/es')['ElForm'];
    ElFormItem: typeof import('element-plus/es')['ElFormItem'];
    ElIcon: typeof import('element-plus/es')['ElIcon'];
    ElImage: typeof import('element-plus/es')['ElImage'];
    ElInput: typeof import('element-plus/es')['ElInput'];
    ElInputNumber: typeof import('element-plus/es')['ElInputNumber'];
    ElMenu: typeof import('element-plus/es')['ElMenu'];
    ElMenuItem: typeof import('element-plus/es')['ElMenuItem'];
    ElMenuItemGroup: typeof import('element-plus/es')['ElMenuItemGroup'];
    ElOption: typeof import('element-plus/es')['ElOption'];
    ElPagination: typeof import('element-plus/es')['ElPagination'];
    ElPopover: typeof import('element-plus/es')['ElPopover'];
    ElProgress: typeof import('element-plus/es')['ElProgress'];
    ElRadio: typeof import('element-plus/es')['ElRadio'];
    ElRadioButton: typeof import('element-plus/es')['ElRadioButton'];
    ElRadioGroup: typeof import('element-plus/es')['ElRadioGroup'];
    ElScrollbar: typeof import('element-plus/es')['ElScrollbar'];
    ElSelect: typeof import('element-plus/es')['ElSelect'];
    ElSkeleton: typeof import('element-plus/es')['ElSkeleton'];
    ElSkeletonItem: typeof import('element-plus/es')['ElSkeletonItem'];
    ElSlider: typeof import('element-plus/es')['ElSlider'];
    ElSubMenu: typeof import('element-plus/es')['ElSubMenu'];
    ElSwitch: typeof import('element-plus/es')['ElSwitch'];
    ElTable: typeof import('element-plus/es')['ElTable'];
    ElTableColumn: typeof import('element-plus/es')['ElTableColumn'];
    ElTabPane: typeof import('element-plus/es')['ElTabPane'];
    ElTabs: typeof import('element-plus/es')['ElTabs'];
    ElTag: typeof import('element-plus/es')['ElTag'];
    ElTimePicker: typeof import('element-plus/es')['ElTimePicker'];
    ElTooltip: typeof import('element-plus/es')['ElTooltip'];
    ElTree: typeof import('element-plus/es')['ElTree'];
    ElUpload: typeof import('element-plus/es')['ElUpload'];
    ErrorIcon: typeof import('./src/components/ErrorIcon/ErrorIcon.vue')['default'];
    Explain: typeof import('./src/components/Customize/CustomizeStyle/common/Explain.vue')['default'];
    FileUpload: typeof import('./src/components/FileUpload/FileUpload.vue')['default'];
    Footer: typeof import('./src/components/Footer/Footer.vue')['default'];
    HelpIcon: typeof import('./src/components/HelpIcon/HelpIcon.vue')['default'];
    ImageMask: typeof import('./src/components/Customize/CustomInfo/ImageMask.vue')['default'];
    IpInput: typeof import('./src/components/IpInput/IpInput.vue')['default'];
    LangSwitch: typeof import('./src/components/LangSwitch/LangSwitch.vue')['default'];
    LayoutConfig: typeof import('./src/components/Customize/CustomizeStyle/tabList/LayoutConfig.vue')['default'];
    LeftNav: typeof import('./src/components/LeftNav/LeftNav.vue')['default'];
    LeftNavCollapse: typeof import('./src/components/LeftNavCollapse/LeftNavCollapse.vue')['default'];
    LightIcon: typeof import('./src/components/Customize/CustomizeStyle/common/LightIcon.vue')['default'];
    Loading: typeof import('./src/components/Loading/Loading.vue')['default'];
    LoadingIcon: typeof import('./src/components/LoadingIcon/LoadingIcon.vue')['default'];
    Lock: typeof import('./src/components/Lock/Lock.vue')['default'];
    LoginRules: typeof import('./src/components/LoginRules/LoginRules.vue')['default'];
    MultiFileUpload: typeof import('./src/components/FileUpload/multiFileUpload.vue')['default'];
    NavBar: typeof import('./src/components/NavBar/NavBar.vue')['default'];
    NoDataAvailable: typeof import('./src/components/NoDataAvailable/NoDataAvailable.vue')['default'];
    Platform: typeof import('./src/components/Customize/CustomInfo/Platform.vue')['default'];
    PowerState: typeof import('./src/components/PowerState/PowerState.vue')['default'];
    ProgressBar: typeof import('./src/components/ProgressBar/ProgressBar.vue')['default'];
    PullDownTriangle: typeof import('./src/components/PullDownTriangle/PullDownTriangle.vue')['default'];
    RefreshIcon: typeof import('./src/components/RefreshIcon/RefreshIcon.vue')['default'];
    RightTabs: typeof import('./src/components/RightTabs/RightTabs.vue')['default'];
    SearchIcon: typeof import('./src/components/SearchIcon/SearchIcon.vue')['default'];
    SearchInput: typeof import('./src/components/SearchInput/SearchInput.vue')['default'];
    SecondPassword: typeof import('./src/components/SecondPassword/SecondPassword.vue')['default'];
    SingleLineFailurePrompt: typeof import('./src/components/SingleLineFailurePrompt/SingleLineFailurePrompt.vue')['default'];
    SvgIcon: typeof import('./src/components/SvgIcon.vue')['default'];
    TableNoData: typeof import('./src/components/TableNoData/TableNoData.vue')['default'];
    TabsView: typeof import('./src/components/TabsView/TabsView.vue')['default'];
    TextConfig: typeof import('./src/components/Customize/CustomizeStyle/tabList/TextConfig.vue')['default'];
    ThemeColorItem: typeof import('./src/components/Customize/CustomizeStyle/common/ThemeColorItem.vue')['default'];
    UidState: typeof import('./src/components/UidState/UidState.vue')['default'];
    UploadingIcon: typeof import('./src/components/UploadingIcon/UploadingIcon.vue')['default'];
    UserInfo: typeof import('./src/components/UserInfo/UserInfo.vue')['default'];
    WarningState: typeof import('./src/components/WarningState/WarningState.vue')['default'];
  }
}

export { };
